<html>

<head>
  <title>Login</title>
  <style>
    body {
      font-family: 'Noto Sans TC', sans-serif;
      padding: 0;
      margin: 0;
      color: rgba(0, 0, 0, 0.699);
      background-color: rgb(255, 255, 255);
      box-sizing: border-box;

    }

    .container {
      display: flex;
      color: black;
      background-color: rgb(255, 255, 255);
      box-shadow: 1px 1px 5px 5px #00000044;
      width: 400px;
      height: 380px;
      flex-direction: column;
      margin: 0 auto;
      margin-top: 10%;
      align-items: center;
      border-radius: 10px;
      transitions: 0.5s;
    }

    .inputs {
      padding: 10px;
      border-radius: 4px;
      background: none;
      border: 2px solid rgb(211, 211, 211);
      width: 50%;
      height: 20px;
      transition: 0.5s;
      color: rgba(0, 0, 0, 0.678);
    }

    a {
      text-decoration: none;
      color: black;
    }

    .forget-span {
      margin-right: 100px;
      font-size: 12px;
    }

    .login-ahref {
      display: inline-block;
      padding: 10px;
      background-color: white;
      box-shadow: 1px 1px 5px 5px #00000044;
      border-radius: 5px;
      box-shadow: 1px 1px 5px 5px #00000044;
      padding-left: 90px;
      padding-right: 90px;
      margin-bottom: 10px;

      transition: 0.5s;
    }

    .login-ahref:hover {
      letter-spacing: 2px;
      padding-left: 110px;
      padding-right: 110px;
    }

    .inputs:hover {
      box-shadow: 1px 1px 5px 5px #00000044;
      color: black;
      width: 60%;

    }

    .forget:hover {
      text-decoration: underline;
    }

    .inputs:focus {
      color: Black;
    }
  </style>
</head>

<body>
  <form action="/login" method="post">
    <div class="container">
      <h2>
        Login
      </h2>
      <p>
        We're so excited to see you again!
      </p>

      <br><input type="text" placeholder="Username or email" class="email-input inputs" name="username">
      <!--  -->
      <br><input type="password" placeholder="Password" class="password-input inputs" name="password">
      <!--  -->
      <br><span class="forget-span"><a href="#" class="forget"> Forget your password?</a></span>
      <!--  -->
      <br>
      <button type="submit" class="login-span login-ahref">Login</button>
    </div>
  </form>
</body>

</html>